<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePdfTable extends Migration {

	public function up()
	{
		Schema::create('Pdf', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('card_id')->unsigned();
			$table->string('pdf_file');
			$table->integer('exersise_id')->unsigned();
			$table->integer('period_id')->unsigned();
			$table->integer('level_id')->unsigned();
		});
	}

	public function down()
	{
		Schema::drop('Pdf');
	}
}