<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSelectionTable extends Migration {

	public function up()
	{
		Schema::create('Selection', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('user_id')->unsigned();
			$table->integer('card_id')->unsigned();
			$table->integer('period_id')->unsigned();
			$table->integer('exersise_id')->unsigned();
			$table->enum('activation', array('active', 'unactive'));
			$table->datetime('period_activity');
			$table->text('pay_image');
			$table->integer('level_id')->unsigned();
		});
	}

	public function down()
	{
		Schema::drop('Selection');
	}
}