<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('Pdf', function(Blueprint $table) {
			$table->foreign('card_id')->references('id')->on('Card')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Pdf', function(Blueprint $table) {
			$table->foreign('exersise_id')->references('id')->on('exersise')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Pdf', function(Blueprint $table) {
			$table->foreign('period_id')->references('id')->on('Period')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Pdf', function(Blueprint $table) {
			$table->foreign('level_id')->references('id')->on('level')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->foreign('card_id')->references('id')->on('Card')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->foreign('period_id')->references('id')->on('Period')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->foreign('exersise_id')->references('id')->on('exersise')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->foreign('level_id')->references('id')->on('level')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('Pdf', function(Blueprint $table) {
			$table->dropForeign('Pdf_card_id_foreign');
		});
		Schema::table('Pdf', function(Blueprint $table) {
			$table->dropForeign('Pdf_exersise_id_foreign');
		});
		Schema::table('Pdf', function(Blueprint $table) {
			$table->dropForeign('Pdf_period_id_foreign');
		});
		Schema::table('Pdf', function(Blueprint $table) {
			$table->dropForeign('Pdf_level_id_foreign');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->dropForeign('Selection_user_id_foreign');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->dropForeign('Selection_card_id_foreign');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->dropForeign('Selection_period_id_foreign');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->dropForeign('Selection_exersise_id_foreign');
		});
		Schema::table('Selection', function(Blueprint $table) {
			$table->dropForeign('Selection_level_id_foreign');
		});
	}
}